### A free/open-source library for quantitative finance

Classes
ql/patterns/curiouslyrecurring.hpp File Reference

Curiously recurring template pattern. More...

`#include <ql/qldefines.hpp>`
Include dependency graph for curiouslyrecurring.hpp:

## Classes

class | CuriouslyRecurringTemplate< Impl >
| Support for the curiously recurring template pattern. More...

## Detailed Description

Curiously recurring template pattern.